{
	onBasePowerPriority: 23,
	onBasePower(basePower, attacker, defender, move) {
		const extraPunchMoves = ['suckerpunch'];
		if (move.flags['punch'] || extraPunchMoves.includes(move.id)) {
			this.debug('Iron Fist boost');
			return this.chainModify([5325, 4096]);
		}
	},
	flags: {},
	name: "Iron Fist",
	rating: 3,
	num: 89,
}